Bug 20855 - Type constructor signatures shown with the fn: prefix
Summary: Type constructor signatures shown with the fn: prefix
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Functions and Operators 3.0 (show other bugs)
Version: Candidate Recommendation
Hardware: PC Windows NT
: P2 minor
Target Milestone: ---
Assignee: Michael Kay
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-02 17:51 UTC by Priscilla Walmsley
Modified: 2015-05-23 19:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Priscilla Walmsley 2013-02-02 17:51:52 UTC
All of the signatures in section 17.1 show the type constructor names prefixed with fn:.  Should they not be prefixed with xs:?

Also, the very first signature example in the section has two prefixes:


fn:prefix:TYPE($arg as xs:anyAtomicType?) as prefix:TYPE?


which should presumably be just:


prefix:TYPE($arg as xs:anyAtomicType?) as prefix:TYPE?
Comment 1 Michael Kay 2013-02-03 12:01:30 UTC
Thanks for reporting this. I haven't quite got to the bottom of it yet, but it's a consequence of changes to the way function signatures are marked up in the XML source and processed using a pipeline of stylesheets.
Comment 2 Michael Kay 2013-06-17 17:11:30 UTC
Fixed (required changes to the DTD, source document, and stylesheet).